function AzurePlatformFirstPage()
{
  var AutomaticAzureName = function(){AzurePlatformFirstPage.prototype._AutomaticAzureName_();};

  var BuildAzurePlatformObject   = function(that){AzurePlatformFirstPage.prototype._BuildAzurePlatformObject_(that);};

  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){AzurePlatformFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){AzurePlatformFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){AzurePlatformFirstPage.prototype._ShowNextPage_();};

  var ShowTable          = function(ObjectKey, DisplayNumber){AzurePlatformFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};

  this.RedisplayUi       = function(){AzurePlatformFirstPage.prototype._RedisplayUi_();};

  var RemoveGlobalVariable = function(DeviceName, number){AzurePlatformFirstPage.prototype._RemoveGlobalVariable_(DeviceName, number);};
  var RemoveTickedAzure = function(){AzurePlatformFirstPage.prototype._RemoveTickedAzure_();};
  this.DeleteAzure        = function(){AzurePlatformFirstPage.prototype._DeleteAzure_();};

  var IsNameRepeat = function(Name){return AzurePlatformFirstPage.prototype._IsNameRepeat_(Name);};
  this.IsTickedAzure = function(){return AzurePlatformFirstPage.prototype._IsTickedAzure_();};

  this.Initialization = function(){AzurePlatformFirstPage.prototype._Initialization_();};

  this.CheckAzureName = function(that){AzurePlatformFirstPage.prototype._CheckAzureName_(that);};

  var TransmissionJson = function(ssocket, Command, string, Callback){AzurePlatformFirstPage.prototype._TransmissionJson_(ssocket, Command, string, Callback);};
  var SaveStart = function(that, ssocket){AzurePlatformFirstPage.prototype._SaveStart_(that, ssocket);};
  var SaveFinished = function(that, ssocket){AzurePlatformFirstPage.prototype._SaveFinished_(that, ssocket);};

  this.AddNewRow  = function(that){AzurePlatformFirstPage.prototype._AddNewRow_(that);};
  this.EditButton = function(that){AzurePlatformFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){AzurePlatformFirstPage.prototype._SaveButton_(that);};  
}




















function AzurePlatformSecondPage()
{

  var SetFormInitialValue = function(number){AzurePlatformSecondPage.prototype._SetFormInitialValue_(number);};
  var GetSettingFormValue = function(){return AzurePlatformSecondPage.prototype._GetSettingFormValue_();};
  var ClearForm = function(){AzurePlatformSecondPage.prototype._ClearForm_();};  
  var SetInitialValue = function(number){AzurePlatformSecondPage.prototype._SetInitialValue_(number);};

  this.CheckAzureName = function(that){return AzurePlatformSecondPage.prototype._CheckAzureName_(that);};
  this.CheckSasToken = function(that){return AzurePlatformSecondPage.prototype._CheckSasToken_(that);};
  this.CheckTrustedCertificate = function(that){return AzurePlatformSecondPage.prototype._CheckTrustedCertificate_(that);};
  this.CheckKeepAlive = function(that){return AzurePlatformSecondPage.prototype._CheckKeepAlive_(that);};
  this.CheckScanRate = function(that){AzurePlatformSecondPage.prototype._CheckScanRate_(that);};
  this.CheckDeadBand = function(that){AzurePlatformSecondPage.prototype._CheckDeadBand_(that);};
  this.CheckCompanyId = function(that){AzurePlatformSecondPage.prototype._CheckCompanyId_(that);};
  this.CheckEquipmentId = function(that){AzurePlatformSecondPage.prototype._CheckEquipmentId_(that);};
  this.CheckMessageId = function(that){AzurePlatformSecondPage.prototype._CheckMessageId_(that);};

//憑證清單
  this.ShowCertificateDropDownMenu = function(){AzurePlatformSecondPage.prototype._ShowCertificateDropDownMenu_();}; 
  this.AddCertificateDropDownMenu = function(){AzurePlatformSecondPage.prototype._AddCertificateDropDownMenu_();};
  this.SelectedClearError       = function(that){RemoteBrokerSecondPage.prototype._SelectedClearError_(that);};

  this.ChangeCdsEnabled = function(that){AzurePlatformSecondPage.prototype._ChangeCdsEnabled_(that);};

  var IsNameRepeat = function(Name){return AzurePlatformSecondPage.prototype._IsNameRepeat_(Name);};

  this.ConfirmButton = function(that){AzurePlatformSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){AzurePlatformSecondPage.prototype._NoConfirmButton_();};

  var ModifyGlobalVariable = function(OldGroupName, NewGroupName){AzurePlatformSecondPage.prototype._ModifyGlobalVariable_(OldGroupName, NewGroupName);};
  var ModifyRtuToMqttJsonGroupName = function(OldGroupName, NewGroupName){AzurePlatformSecondPage.prototype._ModifyRtuToMqttJsonGroupName_(OldGroupName, NewGroupName);};
  var ModifyTcpToMqttJsonGroupName = function(OldGroupName, NewGroupName){AzurePlatformSecondPage.prototype._ModifyTcpToMqttJsonGroupName_(OldGroupName, NewGroupName);};
  var ModifyAsciiToMqttJsonGroupName = function(OldGroupName, NewGroupName){AzurePlatformSecondPage.prototype._ModifyAsciiToMqttJsonGroupName_(OldGroupName, NewGroupName);};
  // 遠端Azure 一般設定及憑證設定
  this.AzurePlatformGeneralSetting = function(){RemoteBrokerSecondPage.prototype._AzurePlatformGeneralSetting_();};
  this.AzurePlatformCertificateSetting = function(){RemoteBrokerSecondPage.prototype._AzurePlatformCertificateSetting_();};

}